/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { getHeaders } from "@managed-api/commons-core";
export function constructHeaders(body, manualHeaders) {
    const headers = getHeaders(body, manualHeaders);
    headers.append('Accept', 'application/vnd.github.v3.text-match+json');
    return headers;
}
export async function errorMessageBuilder(response, reason) {
    var _a;
    try {
        const error = await response.json();
        const errorMessages = (_a = error.errors) === null || _a === void 0 ? void 0 : _a.map(err => err.message).join(', ');
        const errorMessage = errorMessages ? `${error.message}: ${errorMessages}` : error.message;
        if (errorMessage) {
            return `${reason} - ${errorMessage}`;
        }
    }
    catch { }
    return reason;
}
//# sourceMappingURL=common.js.map