/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ProtectedBranchRequiredStatusCheckAsResponse } from "../definitions/ProtectedBranchRequiredStatusCheckAsResponse";
import { ProtectedBranchAdminEnforcedAsResponse } from "../definitions/ProtectedBranchAdminEnforcedAsResponse";
import { ProtectedBranchPullRequestReviewAsResponse } from "../definitions/ProtectedBranchPullRequestReviewAsResponse";
import { BranchRestrictionPolicyAsResponse } from "../definitions/BranchRestrictionPolicyAsResponse";
export interface BranchProtectionAsResponse {
    url?: string;
    enabled?: boolean;
    required_status_checks?: ProtectedBranchRequiredStatusCheckAsResponse;
    enforce_admins?: ProtectedBranchAdminEnforcedAsResponse;
    required_pull_request_reviews?: ProtectedBranchPullRequestReviewAsResponse;
    restrictions?: BranchRestrictionPolicyAsResponse;
    required_linear_history?: {
        enabled?: boolean;
    };
    allow_force_pushes?: {
        enabled?: boolean;
    };
    allow_deletions?: {
        enabled?: boolean;
    };
    block_creations?: {
        enabled?: boolean;
    };
    required_conversation_resolution?: {
        enabled?: boolean;
    };
    name?: string;
    protection_url?: string;
    required_signatures?: {
        url: string;
        enabled: boolean;
    };
    /**
     * Whether to set the branch as read-only. If this is true, users will not be able to push to the branch.
     */
    lock_branch?: {
        enabled?: boolean;
    };
    /**
     * Whether users can pull changes from upstream when the branch is locked. Set to `true` to allow fork syncing. Set to `false` to prevent fork syncing.
     */
    allow_fork_syncing?: {
        enabled?: boolean;
    };
}
//# sourceMappingURL=BranchProtectionAsResponse.d.ts.map