/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GitUserAsResponse } from "../definitions/GitUserAsResponse";
import { VerificationAsResponse } from "../definitions/VerificationAsResponse";
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { DiffEntryAsResponse } from "../definitions/DiffEntryAsResponse";
export interface CommitAsResponse {
    url: string;
    sha: string;
    node_id: string;
    html_url: string;
    comments_url: string;
    commit: {
        url: string;
        author: null | GitUserAsResponse;
        committer: null | GitUserAsResponse;
        message: string;
        comment_count: number;
        tree: {
            sha: string;
            url: string;
        };
        verification?: VerificationAsResponse;
    };
    author: null | SimpleUserAsResponse;
    committer: null | SimpleUserAsResponse;
    parents: Array<{
        sha: string;
        url: string;
        html_url?: string;
    }>;
    stats?: {
        additions?: number;
        deletions?: number;
        total?: number;
    };
    files?: Array<DiffEntryAsResponse>;
}
//# sourceMappingURL=CommitAsResponse.d.ts.map