/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ContentTreeAsResponse {
    type: string;
    size: number;
    name: string;
    path: string;
    sha: string;
    url: string;
    git_url: string | null;
    html_url: string | null;
    download_url: string | null;
    entries?: Array<{
        type: string;
        size: number;
        name: string;
        path: string;
        content?: string;
        sha: string;
        url: string;
        git_url: string | null;
        html_url: string | null;
        download_url: string | null;
        _links: {
            git: string | null;
            html: string | null;
            self: string;
        };
    }>;
    _links: {
        git: string | null;
        html: string | null;
        self: string;
    };
}
//# sourceMappingURL=ContentTreeAsResponse.d.ts.map