/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { IntegrationAsResponse } from "../definitions/IntegrationAsResponse";
export interface DeploymentAsResponse {
    url?: string;
    /**
     * Unique identifier of the deployment
     */
    id?: number;
    node_id?: string;
    sha?: string;
    /**
     * The ref to deploy. This can be a branch, tag, or sha.
     */
    ref?: string;
    /**
     * Parameter to specify a task to execute
     */
    task?: string;
    payload?: {
        [x: string]: any;
    } | string;
    original_environment?: string;
    /**
     * Name for the target deployment environment.
     */
    environment?: string;
    description?: string | null;
    creator?: null | SimpleUserAsResponse;
    created_at?: string;
    updated_at?: string;
    statuses_url?: string;
    repository_url?: string;
    /**
     * Specifies if the given environment is will no longer exist at some point in the future. Default: false.
     */
    transient_environment?: boolean;
    /**
     * Specifies if the given environment is one that end-users directly interact with. Default: false.
     */
    production_environment?: boolean;
    performed_via_github_app?: null | IntegrationAsResponse;
    message?: string;
}
//# sourceMappingURL=DeploymentAsResponse.d.ts.map