/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { IntegrationAsResponse } from "../definitions/IntegrationAsResponse";
export interface DeploymentStatusAsResponse {
    url: string;
    id: number;
    node_id: string;
    /**
     * The state of the status.
     */
    state: "error" | "failure" | "inactive" | "pending" | "success" | "queued" | "in_progress";
    creator: null | SimpleUserAsResponse;
    /**
     * A short description of the status.
     */
    description: string;
    /**
     * The environment of the deployment that the status is for.
     */
    environment?: string;
    /**
     * Deprecated: the URL to associate with this status.
     */
    target_url: string;
    created_at: string;
    updated_at: string;
    deployment_url: string;
    repository_url: string;
    /**
     * The URL for accessing your environment.
     */
    environment_url?: string;
    /**
     * The URL to associate with this status.
     */
    log_url?: string;
    performed_via_github_app?: null | IntegrationAsResponse;
}
//# sourceMappingURL=DeploymentStatusAsResponse.d.ts.map