/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface EnterpriseAsResponse {
    /**
     * A short description of the enterprise.
     */
    description?: string | null;
    html_url: string;
    /**
     * The enterprise's website URL.
     */
    website_url?: string | null;
    /**
     * Unique identifier of the enterprise
     */
    id: number;
    node_id: string;
    /**
     * The name of the enterprise.
     */
    name: string;
    /**
     * The slug url identifier for the enterprise.
     */
    slug: string;
    created_at: string | null;
    updated_at: string | null;
    avatar_url: string;
}
//# sourceMappingURL=EnterpriseAsResponse.d.ts.map