/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { WaitTimerAsResponse } from "../definitions/WaitTimerAsResponse";
import { DeploymentReviewerTypeAsResponse } from "../definitions/DeploymentReviewerTypeAsResponse";
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { TeamAsResponse } from "../definitions/TeamAsResponse";
import { DeploymentBranchPolicySettingsAsResponse } from "../definitions/DeploymentBranchPolicySettingsAsResponse";
export interface EnvironmentAsResponse {
    /**
     * The id of the environment.
     */
    id: number;
    node_id: string;
    /**
     * The name of the environment.
     */
    name: string;
    url: string;
    html_url: string;
    /**
     * The time that the environment was created, in ISO 8601 format.
     */
    created_at: string;
    /**
     * The time that the environment was last updated, in ISO 8601 format.
     */
    updated_at: string;
    /**
     * Built-in deployment protection rules for the environment.
     */
    protection_rules?: Array<{
        id: number;
        node_id: string;
        type: string;
        wait_timer?: WaitTimerAsResponse;
    } | {
        id: number;
        node_id: string;
        type: string;
        /**
         * The people or teams that may approve jobs that reference the environment. You can list up to six users or teams as reviewers. The reviewers must have at least read access to the repository. Only one of the required reviewers needs to approve the job for it to proceed.
         */
        reviewers?: Array<{
            type?: DeploymentReviewerTypeAsResponse;
            reviewer?: SimpleUserAsResponse | TeamAsResponse;
        }>;
    } | {
        id: number;
        node_id: string;
        type: string;
    }>;
    deployment_branch_policy?: DeploymentBranchPolicySettingsAsResponse;
}
//# sourceMappingURL=EnvironmentAsResponse.d.ts.map