/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { EnterpriseAsResponse } from "../definitions/EnterpriseAsResponse";
import { AppPermissionsAsResponse } from "../definitions/AppPermissionsAsResponse";
export interface InstallationAsResponse {
    /**
     * The ID of the installation.
     */
    id: number;
    account: SimpleUserAsResponse | EnterpriseAsResponse;
    /**
     * Describe whether all repositories have been selected or there's a selection involved
     */
    repository_selection: "all" | "selected";
    access_tokens_url: string;
    repositories_url: string;
    html_url: string;
    app_id: number;
    /**
     * The ID of the user or organization this token is being scoped to.
     */
    target_id: number;
    target_type: string;
    permissions: AppPermissionsAsResponse;
    events: Array<string>;
    created_at: string;
    updated_at: string;
    single_file_name: string | null;
    has_multiple_single_files?: boolean;
    single_file_paths?: Array<string>;
    app_slug: string;
    suspended_by: null | SimpleUserAsResponse;
    suspended_at: string | null;
    contact_email?: string | null;
}
//# sourceMappingURL=InstallationAsResponse.d.ts.map