/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { MilestoneAsResponse } from "../definitions/MilestoneAsResponse";
import { RepositoryAsResponse } from "../definitions/RepositoryAsResponse";
import { IntegrationAsResponse } from "../definitions/IntegrationAsResponse";
import { AuthorAssociationAsResponse } from "../definitions/AuthorAssociationAsResponse";
import { ReactionRollupAsResponse } from "../definitions/ReactionRollupAsResponse";
export interface IssueAsResponse {
    id: number;
    node_id: string;
    /**
     * URL for the issue
     */
    url: string;
    repository_url: string;
    labels_url: string;
    comments_url: string;
    events_url: string;
    html_url: string;
    /**
     * Number uniquely identifying the issue within its repository
     */
    number: number;
    /**
     * State of the issue; either 'open' or 'closed'
     */
    state: string;
    /**
     * The reason for the current state
     */
    state_reason?: string | null;
    /**
     * Title of the issue
     */
    title: string;
    /**
     * Contents of the issue
     */
    body?: string | null;
    user: null | SimpleUserAsResponse;
    /**
     * Labels to associate with this issue; pass one or more label names to replace the set of labels on this issue; send an empty array to clear all labels from the issue; note that the labels are silently dropped for users without push access to the repository
     */
    labels: Array<string | {
        id?: number;
        node_id?: string;
        url?: string;
        name?: string;
        description?: string | null;
        color?: string | null;
        default?: boolean;
    }>;
    assignee: null | SimpleUserAsResponse;
    assignees?: Array<SimpleUserAsResponse> | null;
    milestone: null | MilestoneAsResponse;
    locked: boolean;
    active_lock_reason?: string | null;
    comments: number;
    pull_request?: {
        merged_at?: string | null;
        diff_url: string | null;
        html_url: string | null;
        patch_url: string | null;
        url: string | null;
    };
    closed_at: string | null;
    created_at: string;
    updated_at: string;
    draft?: boolean;
    closed_by?: null | SimpleUserAsResponse;
    body_html?: string;
    body_text?: string;
    timeline_url?: string;
    repository?: RepositoryAsResponse;
    performed_via_github_app?: null | IntegrationAsResponse;
    author_association: AuthorAssociationAsResponse;
    reactions?: ReactionRollupAsResponse;
}
//# sourceMappingURL=IssueAsResponse.d.ts.map