/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { MilestoneAsResponse } from "../definitions/MilestoneAsResponse";
import { SearchResultTextMatchesAsResponse } from "../definitions/SearchResultTextMatchesAsResponse";
import { AuthorAssociationAsResponse } from "../definitions/AuthorAssociationAsResponse";
import { RepositoryAsResponse } from "../definitions/RepositoryAsResponse";
import { IntegrationAsResponse } from "../definitions/IntegrationAsResponse";
import { ReactionRollupAsResponse } from "../definitions/ReactionRollupAsResponse";
export interface IssueSearchResultItemAsResponse {
    url: string;
    repository_url: string;
    labels_url: string;
    comments_url: string;
    events_url: string;
    html_url: string;
    id: number;
    node_id: string;
    number: number;
    title: string;
    locked: boolean;
    active_lock_reason?: string | null;
    assignees?: Array<SimpleUserAsResponse> | null;
    user: null | SimpleUserAsResponse;
    labels: Array<{
        id?: number;
        node_id?: string;
        url?: string;
        name?: string;
        color?: string;
        default?: boolean;
        description?: string | null;
    }>;
    state: string;
    state_reason?: string | null;
    assignee: null | SimpleUserAsResponse;
    milestone: null | MilestoneAsResponse;
    comments: number;
    created_at: string;
    updated_at: string;
    closed_at: string | null;
    text_matches?: SearchResultTextMatchesAsResponse;
    pull_request?: {
        merged_at?: string | null;
        diff_url: string | null;
        html_url: string | null;
        patch_url: string | null;
        url: string | null;
    };
    body?: string | null;
    score: number;
    author_association: AuthorAssociationAsResponse;
    draft?: boolean;
    repository?: RepositoryAsResponse;
    body_html?: string;
    body_text?: string;
    timeline_url?: string;
    performed_via_github_app?: null | IntegrationAsResponse;
    reactions?: ReactionRollupAsResponse;
}
//# sourceMappingURL=IssueSearchResultItemAsResponse.d.ts.map