/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { OrganizationSimpleAsResponse } from "../definitions/OrganizationSimpleAsResponse";
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
export interface OrgMembershipAsResponse {
    url: string;
    /**
     * The state of the member in the organization. The `pending` state indicates the user has not yet accepted an invitation.
     */
    state: "active" | "pending";
    /**
     * The user's membership type in the organization.
     */
    role: "admin" | "member" | "billing_manager";
    organization_url: string;
    organization: OrganizationSimpleAsResponse;
    user: null | SimpleUserAsResponse;
    permissions?: {
        can_create_repository: boolean;
    };
}
//# sourceMappingURL=OrgMembershipAsResponse.d.ts.map