/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { StatusCheckPolicyAsResponse } from "../definitions/StatusCheckPolicyAsResponse";
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { TeamAsResponse } from "../definitions/TeamAsResponse";
import { IntegrationAsResponse } from "../definitions/IntegrationAsResponse";
import { BranchRestrictionPolicyAsResponse } from "../definitions/BranchRestrictionPolicyAsResponse";
export interface ProtectedBranchAsResponse {
    url: string;
    required_status_checks?: StatusCheckPolicyAsResponse;
    required_pull_request_reviews?: {
        url: string;
        dismiss_stale_reviews?: boolean;
        require_code_owner_reviews?: boolean;
        required_approving_review_count?: number;
        /**
         * Whether the most recent push must be approved by someone other than the person who pushed it.
         */
        require_last_push_approval?: boolean;
        dismissal_restrictions?: {
            url: string;
            users_url: string;
            teams_url: string;
            users: Array<SimpleUserAsResponse>;
            teams: Array<TeamAsResponse>;
            apps?: Array<IntegrationAsResponse>;
        };
        bypass_pull_request_allowances?: {
            users: Array<SimpleUserAsResponse>;
            teams: Array<TeamAsResponse>;
            apps?: Array<IntegrationAsResponse>;
        };
    };
    required_signatures?: {
        url: string;
        enabled: boolean;
    };
    enforce_admins?: {
        url: string;
        enabled: boolean;
    };
    required_linear_history?: {
        enabled: boolean;
    };
    allow_force_pushes?: {
        enabled: boolean;
    };
    allow_deletions?: {
        enabled: boolean;
    };
    restrictions?: BranchRestrictionPolicyAsResponse;
    required_conversation_resolution?: {
        enabled?: boolean;
    };
    block_creations?: {
        enabled: boolean;
    };
    /**
     * Whether to set the branch as read-only. If this is true, users will not be able to push to the branch.
     */
    lock_branch?: {
        enabled?: boolean;
    };
    /**
     * Whether users can pull changes from upstream when the branch is locked. Set to `true` to allow fork syncing. Set to `false` to prevent fork syncing.
     */
    allow_fork_syncing?: {
        enabled?: boolean;
    };
}
//# sourceMappingURL=ProtectedBranchAsResponse.d.ts.map