/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { TeamAsResponse } from "../definitions/TeamAsResponse";
import { IntegrationAsResponse } from "../definitions/IntegrationAsResponse";
export interface ProtectedBranchPullRequestReviewAsResponse {
    url?: string;
    dismissal_restrictions?: {
        /**
         * The list of users with review dismissal access.
         */
        users?: Array<SimpleUserAsResponse>;
        /**
         * The list of teams with review dismissal access.
         */
        teams?: Array<TeamAsResponse>;
        /**
         * The list of apps with review dismissal access.
         */
        apps?: Array<IntegrationAsResponse>;
        url?: string;
        users_url?: string;
        teams_url?: string;
    };
    /**
     * Allow specific users, teams, or apps to bypass pull request requirements.
     */
    bypass_pull_request_allowances?: {
        /**
         * The list of users allowed to bypass pull request requirements.
         */
        users?: Array<SimpleUserAsResponse>;
        /**
         * The list of teams allowed to bypass pull request requirements.
         */
        teams?: Array<TeamAsResponse>;
        /**
         * The list of apps allowed to bypass pull request requirements.
         */
        apps?: Array<IntegrationAsResponse>;
    };
    dismiss_stale_reviews: boolean;
    require_code_owner_reviews: boolean;
    required_approving_review_count?: number;
    /**
     * Whether the most recent push must be approved by someone other than the person who pushed it.
     */
    require_last_push_approval?: boolean;
}
//# sourceMappingURL=ProtectedBranchPullRequestReviewAsResponse.d.ts.map