/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { AuthorAssociationAsResponse } from "../definitions/AuthorAssociationAsResponse";
export interface PullRequestReviewAsResponse {
    /**
     * Unique identifier of the review
     */
    id: number;
    node_id: string;
    user: null | SimpleUserAsResponse;
    /**
     * The text of the review.
     */
    body: string;
    state: string;
    html_url: string;
    pull_request_url: string;
    _links: {
        html: {
            href: string;
        };
        pull_request: {
            href: string;
        };
    };
    submitted_at?: string;
    /**
     * A commit SHA for the review. If the commit object was garbage collected or forcibly deleted, then it no longer exists in Git and this value will be `null`.
     */
    commit_id: string | null;
    body_html?: string;
    body_text?: string;
    author_association: AuthorAssociationAsResponse;
}
//# sourceMappingURL=PullRequestReviewAsResponse.d.ts.map