/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { MilestoneAsResponse } from "../definitions/MilestoneAsResponse";
import { TeamAsResponse } from "../definitions/TeamAsResponse";
import { RepositoryAsResponse } from "../definitions/RepositoryAsResponse";
import { LinkAsResponse } from "../definitions/LinkAsResponse";
import { AuthorAssociationAsResponse } from "../definitions/AuthorAssociationAsResponse";
import { AutoMergeAsResponse } from "../definitions/AutoMergeAsResponse";
export interface PullRequestSimpleAsResponse {
    url: string;
    id: number;
    node_id: string;
    html_url: string;
    diff_url: string;
    patch_url: string;
    issue_url: string;
    commits_url: string;
    review_comments_url: string;
    review_comment_url: string;
    comments_url: string;
    statuses_url: string;
    number: number;
    state: string;
    locked: boolean;
    title: string;
    user: null | SimpleUserAsResponse;
    body: string | null;
    labels: Array<{
        id: number;
        node_id: string;
        url: string;
        name: string;
        description: string;
        color: string;
        default: boolean;
    }>;
    milestone: null | MilestoneAsResponse;
    active_lock_reason?: string | null;
    created_at: string;
    updated_at: string;
    closed_at: string | null;
    merged_at: string | null;
    merge_commit_sha: string | null;
    assignee: null | SimpleUserAsResponse;
    assignees?: Array<SimpleUserAsResponse> | null;
    requested_reviewers?: Array<SimpleUserAsResponse> | null;
    requested_teams?: Array<TeamAsResponse> | null;
    head: {
        label: string;
        ref: string;
        repo: RepositoryAsResponse;
        sha: string;
        user: null | SimpleUserAsResponse;
    };
    base: {
        label: string;
        ref: string;
        repo: RepositoryAsResponse;
        sha: string;
        user: null | SimpleUserAsResponse;
    };
    _links: {
        comments: LinkAsResponse;
        commits: LinkAsResponse;
        statuses: LinkAsResponse;
        html: LinkAsResponse;
        issue: LinkAsResponse;
        review_comments: LinkAsResponse;
        review_comment: LinkAsResponse;
        self: LinkAsResponse;
    };
    author_association: AuthorAssociationAsResponse;
    auto_merge: AutoMergeAsResponse;
    /**
     * Indicates whether or not the pull request is a draft.
     */
    draft?: boolean;
}
//# sourceMappingURL=PullRequestSimpleAsResponse.d.ts.map