/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { ReleaseAssetAsResponse } from "../definitions/ReleaseAssetAsResponse";
import { ReactionRollupAsResponse } from "../definitions/ReactionRollupAsResponse";
export interface ReleaseAsResponse {
    url: string;
    html_url: string;
    assets_url: string;
    upload_url: string;
    tarball_url: string | null;
    zipball_url: string | null;
    id: number;
    node_id: string;
    /**
     * The name of the tag.
     */
    tag_name: string;
    /**
     * Specifies the commitish value that determines where the Git tag is created from.
     */
    target_commitish: string;
    name: string | null;
    body?: string | null;
    /**
     * true to create a draft (unpublished) release, false to create a published one.
     */
    draft: boolean;
    /**
     * Whether to identify the release as a prerelease or a full release.
     */
    prerelease: boolean;
    created_at: string;
    published_at: string | null;
    author: SimpleUserAsResponse;
    assets: Array<ReleaseAssetAsResponse>;
    body_html?: string;
    body_text?: string;
    mentions_count?: number;
    /**
     * The URL of the release discussion.
     */
    discussion_url?: string;
    reactions?: ReactionRollupAsResponse;
}
//# sourceMappingURL=ReleaseAsResponse.d.ts.map