/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MinimalRepositoryAsResponse } from "../definitions/MinimalRepositoryAsResponse";
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
export interface RepositoryInvitationAsResponse {
    /**
     * Unique identifier of the repository invitation.
     */
    id: number;
    repository: MinimalRepositoryAsResponse;
    invitee: null | SimpleUserAsResponse;
    inviter: null | SimpleUserAsResponse;
    /**
     * The permission associated with the invitation.
     */
    permissions: "read" | "write" | "admin" | "triage" | "maintain";
    created_at: string;
    /**
     * Whether or not the invitation has expired
     */
    expired?: boolean;
    /**
     * URL for the repository invitation
     */
    url: string;
    html_url: string;
    node_id: string;
}
//# sourceMappingURL=RepositoryInvitationAsResponse.d.ts.map