/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { AuthorAssociationAsResponse } from "../definitions/AuthorAssociationAsResponse";
import { LinkAsResponse } from "../definitions/LinkAsResponse";
import { ReactionRollupAsResponse } from "../definitions/ReactionRollupAsResponse";
export interface ReviewCommentAsResponse {
    url: string;
    pull_request_review_id: number | null;
    id: number;
    node_id: string;
    diff_hunk: string;
    path: string;
    position: number | null;
    original_position: number;
    commit_id: string;
    original_commit_id: string;
    in_reply_to_id?: number;
    user: null | SimpleUserAsResponse;
    body: string;
    created_at: string;
    updated_at: string;
    html_url: string;
    pull_request_url: string;
    author_association: AuthorAssociationAsResponse;
    _links: {
        self: LinkAsResponse;
        html: LinkAsResponse;
        pull_request: LinkAsResponse;
    };
    body_text?: string;
    body_html?: string;
    reactions?: ReactionRollupAsResponse;
    /**
     * The side of the first line of the range for a multi-line comment.
     */
    side?: "LEFT" | "RIGHT";
    /**
     * The side of the first line of the range for a multi-line comment.
     */
    start_side?: string | null;
    /**
     * The line of the blob to which the comment applies. The last line of the range for a multi-line comment
     */
    line?: number;
    /**
     * The original line of the blob to which the comment applies. The last line of the range for a multi-line comment
     */
    original_line?: number;
    /**
     * The first line of the range for a multi-line comment.
     */
    start_line?: number | null;
    /**
     * The original first line of the range for a multi-line comment.
     */
    original_start_line?: number | null;
}
//# sourceMappingURL=ReviewCommentAsResponse.d.ts.map