/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface TeamSimpleAsResponse {
    /**
     * Unique identifier of the team
     */
    id: number;
    node_id: string;
    /**
     * URL for the team
     */
    url: string;
    members_url: string;
    /**
     * Name of the team
     */
    name: string;
    /**
     * Description of the team
     */
    description: string | null;
    /**
     * Permission that the team will have for its repositories
     */
    permission: string;
    /**
     * The level of privacy this team should have
     */
    privacy?: string;
    html_url: string;
    repositories_url: string;
    slug: string;
    /**
     * Distinguished Name (DN) that team maps to within LDAP environment
     */
    ldap_dn?: string;
}
//# sourceMappingURL=TeamSimpleAsResponse.d.ts.map