/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HttpError, BaseErrorStrategyHandlers, BaseErrorStrategyOption, CustomErrorHandler, ErrorStrategyBuilderConstructor } from "@managed-api/commons-core";
import { ErrorStrategyBuilder } from "./builders/errorStrategy";
export interface CommonError {
    message?: string;
    documentation_url?: string;
    detail?: string | null;
    scimType?: string | null;
    schemas?: string[];
    url?: string;
    code?: string;
    block?: {
        reason?: string;
        created_at?: string;
        html_url?: string | null;
    };
    errors?: {
        resource?: string;
        field?: string;
        code?: string;
        index?: number;
        message?: string;
        value?: any;
    }[];
}
export declare type AdditionalErrorTypes = HttpError<CommonError>;
export interface ErrorStrategyHandlers extends BaseErrorStrategyHandlers<CommonError, AdditionalErrorTypes> {
}
export interface ErrorStrategyOption extends BaseErrorStrategyOption<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder> {
}
export declare const customErrorHandlers: CustomErrorHandler[];
export declare const errorStrategyBuilderConstructor: ErrorStrategyBuilderConstructor<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder>;
//# sourceMappingURL=errorStrategy.d.ts.map