/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ProtectedBranchAdminEnforcedAsResponse } from "../../../definitions/ProtectedBranchAdminEnforcedAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { BasicErrorAsResponse } from "../../../definitions/BasicErrorAsResponse";
export interface GetAdminBranchProtectionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The account owner of the repository. The name is not case sensitive.
     */
    owner: string;
    /**
     * The name of the repository. The name is not case sensitive.
     */
    repo: string;
    /**
     * The name of the branch. Cannot contain wildcard characters. To use wildcard characters in branch names, use [the GraphQL API](https://docs.github.com/graphql).
     */
    branch: string;
}
declare type GetAdminBranchProtectionResponseOKType = ProtectedBranchAdminEnforcedAsResponse;
export interface GetAdminBranchProtectionResponseOK extends GetAdminBranchProtectionResponseOKType {
}
export declare type GetAdminBranchProtectionResponseError = undefined;
export interface SetAdminBranchProtectionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The account owner of the repository. The name is not case sensitive.
     */
    owner: string;
    /**
     * The name of the repository. The name is not case sensitive.
     */
    repo: string;
    /**
     * The name of the branch. Cannot contain wildcard characters. To use wildcard characters in branch names, use [the GraphQL API](https://docs.github.com/graphql).
     */
    branch: string;
}
declare type SetAdminBranchProtectionResponseOKType = ProtectedBranchAdminEnforcedAsResponse;
export interface SetAdminBranchProtectionResponseOK extends SetAdminBranchProtectionResponseOKType {
}
export declare type SetAdminBranchProtectionResponseError = undefined;
export interface DeleteAdminBranchProtectionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The account owner of the repository. The name is not case sensitive.
     */
    owner: string;
    /**
     * The name of the repository. The name is not case sensitive.
     */
    repo: string;
    /**
     * The name of the branch. Cannot contain wildcard characters. To use wildcard characters in branch names, use [the GraphQL API](https://docs.github.com/graphql).
     */
    branch: string;
}
export declare type DeleteAdminBranchProtectionResponseOK = undefined;
declare type DeleteAdminBranchProtectionResponseErrorType = BasicErrorAsResponse;
export interface DeleteAdminBranchProtectionResponseError extends DeleteAdminBranchProtectionResponseErrorType {
}
export {};
//# sourceMappingURL=admin.d.ts.map