/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ProtectedBranchAdminEnforcedAsResponse } from "../../../../definitions/ProtectedBranchAdminEnforcedAsResponse";
import { BasicErrorAsResponse } from "../../../../definitions/BasicErrorAsResponse";
import { ErrorStrategyOption } from "../../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetBranchCommitSignatureProtectionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The account owner of the repository. The name is not case sensitive.
     */
    owner: string;
    /**
     * The name of the repository. The name is not case sensitive.
     */
    repo: string;
    /**
     * The name of the branch. Cannot contain wildcard characters. To use wildcard characters in branch names, use [the GraphQL API](https://docs.github.com/graphql).
     */
    branch: string;
}
declare type GetBranchCommitSignatureProtectionResponseOKType = ProtectedBranchAdminEnforcedAsResponse;
export interface GetBranchCommitSignatureProtectionResponseOK extends GetBranchCommitSignatureProtectionResponseOKType {
}
declare type GetBranchCommitSignatureProtectionResponseErrorType = BasicErrorAsResponse;
export interface GetBranchCommitSignatureProtectionResponseError extends GetBranchCommitSignatureProtectionResponseErrorType {
}
export interface CreateBranchCommitSignatureProtectionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The account owner of the repository. The name is not case sensitive.
     */
    owner: string;
    /**
     * The name of the repository. The name is not case sensitive.
     */
    repo: string;
    /**
     * The name of the branch. Cannot contain wildcard characters. To use wildcard characters in branch names, use [the GraphQL API](https://docs.github.com/graphql).
     */
    branch: string;
}
declare type CreateBranchCommitSignatureProtectionResponseOKType = ProtectedBranchAdminEnforcedAsResponse;
export interface CreateBranchCommitSignatureProtectionResponseOK extends CreateBranchCommitSignatureProtectionResponseOKType {
}
declare type CreateBranchCommitSignatureProtectionResponseErrorType = BasicErrorAsResponse;
export interface CreateBranchCommitSignatureProtectionResponseError extends CreateBranchCommitSignatureProtectionResponseErrorType {
}
export interface DeleteBranchCommitSignatureProtectionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The account owner of the repository. The name is not case sensitive.
     */
    owner: string;
    /**
     * The name of the repository. The name is not case sensitive.
     */
    repo: string;
    /**
     * The name of the branch. Cannot contain wildcard characters. To use wildcard characters in branch names, use [the GraphQL API](https://docs.github.com/graphql).
     */
    branch: string;
}
export declare type DeleteBranchCommitSignatureProtectionResponseOK = undefined;
declare type DeleteBranchCommitSignatureProtectionResponseErrorType = BasicErrorAsResponse;
export interface DeleteBranchCommitSignatureProtectionResponseError extends DeleteBranchCommitSignatureProtectionResponseErrorType {
}
export {};
//# sourceMappingURL=signature.d.ts.map