/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { IssueEventAsResponse } from "../../definitions/IssueEventAsResponse";
import { ValidationErrorAsResponse } from "../../definitions/ValidationErrorAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { BasicErrorAsResponse } from "../../definitions/BasicErrorAsResponse";
import { IssueEventForIssueAsResponse } from "../../definitions/IssueEventForIssueAsResponse";
export interface GetIssueEventsForRepositoryRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The account owner of the repository. The name is not case sensitive.
     */
    owner: string;
    /**
     * The name of the repository. The name is not case sensitive.
     */
    repo: string;
    /**
     * The number of results per page (max 100).
     */
    per_page?: number;
    /**
     * Page number of the results to fetch.
     */
    page?: number;
}
declare type GetIssueEventsForRepositoryResponseOKType = Array<IssueEventAsResponse>;
export interface GetIssueEventsForRepositoryResponseOK extends GetIssueEventsForRepositoryResponseOKType {
}
declare type GetIssueEventsForRepositoryResponseErrorType = ValidationErrorAsResponse;
export interface GetIssueEventsForRepositoryResponseError extends GetIssueEventsForRepositoryResponseErrorType {
}
export interface GetIssueEventRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The account owner of the repository. The name is not case sensitive.
     */
    owner: string;
    /**
     * The name of the repository. The name is not case sensitive.
     */
    repo: string;
    event_id: number;
}
declare type GetIssueEventResponseOKType = IssueEventAsResponse;
export interface GetIssueEventResponseOK extends GetIssueEventResponseOKType {
}
declare type GetIssueEventResponseErrorType = BasicErrorAsResponse & BasicErrorAsResponse & BasicErrorAsResponse;
export interface GetIssueEventResponseError extends GetIssueEventResponseErrorType {
}
export interface GetIssueEventsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The account owner of the repository. The name is not case sensitive.
     */
    owner: string;
    /**
     * The name of the repository. The name is not case sensitive.
     */
    repo: string;
    /**
     * The number that identifies the issue.
     */
    issue_number: number;
    /**
     * The number of results per page (max 100).
     */
    per_page?: number;
    /**
     * Page number of the results to fetch.
     */
    page?: number;
}
declare type GetIssueEventsResponseOKType = Array<IssueEventForIssueAsResponse>;
export interface GetIssueEventsResponseOK extends GetIssueEventsResponseOKType {
}
declare type GetIssueEventsResponseErrorType = BasicErrorAsResponse;
export interface GetIssueEventsResponseError extends GetIssueEventsResponseErrorType {
}
export {};
//# sourceMappingURL=event.d.ts.map