/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PullRequestReviewRequestAsResponse } from "../../../definitions/PullRequestReviewRequestAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { PullRequestSimpleAsResponse } from "../../../definitions/PullRequestSimpleAsResponse";
import { BasicErrorAsResponse } from "../../../definitions/BasicErrorAsResponse";
import { ValidationErrorAsResponse } from "../../../definitions/ValidationErrorAsResponse";
export interface GetPullRequestReviewersRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The account owner of the repository. The name is not case sensitive.
     */
    owner: string;
    /**
     * The name of the repository. The name is not case sensitive.
     */
    repo: string;
    /**
     * The number that identifies the pull request.
     */
    pull_number: number;
}
declare type GetPullRequestReviewersResponseOKType = PullRequestReviewRequestAsResponse;
export interface GetPullRequestReviewersResponseOK extends GetPullRequestReviewersResponseOKType {
}
export declare type GetPullRequestReviewersResponseError = undefined;
export interface RequestReviewersForPullRequestRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The account owner of the repository. The name is not case sensitive.
     */
    owner: string;
    /**
     * The name of the repository. The name is not case sensitive.
     */
    repo: string;
    /**
     * The number that identifies the pull request.
     */
    pull_number: number;
    body: {
        /**
         * An array of user `login`s that will be requested.
         */
        reviewers?: Array<string>;
        /**
         * An array of team `slug`s that will be requested.
         */
        team_reviewers?: Array<string>;
    };
}
declare type RequestReviewersForPullRequestResponseOKType = PullRequestSimpleAsResponse;
export interface RequestReviewersForPullRequestResponseOK extends RequestReviewersForPullRequestResponseOKType {
}
declare type RequestReviewersForPullRequestResponseErrorType = BasicErrorAsResponse;
export interface RequestReviewersForPullRequestResponseError extends RequestReviewersForPullRequestResponseErrorType {
}
export interface RemovePullRequestReviewersRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The account owner of the repository. The name is not case sensitive.
     */
    owner: string;
    /**
     * The name of the repository. The name is not case sensitive.
     */
    repo: string;
    /**
     * The number that identifies the pull request.
     */
    pull_number: number;
    body: {
        /**
         * An array of user `login`s that will be removed.
         */
        reviewers: Array<string>;
        /**
         * An array of team `slug`s that will be removed.
         */
        team_reviewers?: Array<string>;
    };
}
declare type RemovePullRequestReviewersResponseOKType = PullRequestSimpleAsResponse;
export interface RemovePullRequestReviewersResponseOK extends RemovePullRequestReviewersResponseOKType {
}
declare type RemovePullRequestReviewersResponseErrorType = ValidationErrorAsResponse;
export interface RemovePullRequestReviewersResponseError extends RemovePullRequestReviewersResponseErrorType {
}
export {};
//# sourceMappingURL=request.d.ts.map