/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../../definitions/SimpleUserAsResponse";
import { BasicErrorAsResponse } from "../../definitions/BasicErrorAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ValidationErrorAsResponse } from "../../definitions/ValidationErrorAsResponse";
export interface GetBlockedUsersByAuthenticatedUserRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The number of results per page (max 100).
     */
    per_page?: number;
    /**
     * Page number of the results to fetch.
     */
    page?: number;
}
declare type GetBlockedUsersByAuthenticatedUserResponseOKType = Array<SimpleUserAsResponse>;
export interface GetBlockedUsersByAuthenticatedUserResponseOK extends GetBlockedUsersByAuthenticatedUserResponseOKType {
}
declare type GetBlockedUsersByAuthenticatedUserResponseErrorType = BasicErrorAsResponse & BasicErrorAsResponse & BasicErrorAsResponse;
export interface GetBlockedUsersByAuthenticatedUserResponseError extends GetBlockedUsersByAuthenticatedUserResponseErrorType {
}
export interface CheckIfUserIsBlockedByAuthenticatedUserRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The handle for the GitHub user account.
     */
    username: string;
}
export declare type CheckIfUserIsBlockedByAuthenticatedUserResponseOK = undefined;
declare type CheckIfUserIsBlockedByAuthenticatedUserResponseErrorType = BasicErrorAsResponse & BasicErrorAsResponse & BasicErrorAsResponse;
export interface CheckIfUserIsBlockedByAuthenticatedUserResponseError extends CheckIfUserIsBlockedByAuthenticatedUserResponseErrorType {
}
export interface BlockUserRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The handle for the GitHub user account.
     */
    username: string;
}
export declare type BlockUserResponseOK = undefined;
declare type BlockUserResponseErrorType = BasicErrorAsResponse & BasicErrorAsResponse & BasicErrorAsResponse & ValidationErrorAsResponse;
export interface BlockUserResponseError extends BlockUserResponseErrorType {
}
export interface UnblockUserRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The handle for the GitHub user account.
     */
    username: string;
}
export declare type UnblockUserResponseOK = undefined;
declare type UnblockUserResponseErrorType = BasicErrorAsResponse & BasicErrorAsResponse & BasicErrorAsResponse;
export interface UnblockUserResponseError extends UnblockUserResponseErrorType {
}
export {};
//# sourceMappingURL=block.d.ts.map